Download it now!
Bug 135321 - CRASH: Right click on empty Command list (gen)
Summary: CRASH: Right click on empty Command list (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-07-30 14:54 UTC by Xisco Faulí
Modified: 2020-08-10 10:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (795.37 KB, video/x-matroska)
2020-07-30 14:54 UTC, Xisco Faulí
Details
bt with debug symbols (gen) (14.69 KB, text/plain)
2020-07-31 07:44 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-30 14:54:27 UTC
Created attachment 163780 [details]
screencast

Steps to reproduce:
1. Open writer
2. Go to Tools - Customize - Menus
3. Search for a non existing command
4. Right click on the empty list

-> Crash. See screencast. Not reproducible with gtk3

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-07-30 14:55:29 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d54202ff690e4e97e018461cc6dc3dfadd36a702

author	Sarper Akdemir <q.sarperakdemir@gmail.com>	2020-02-14 13:17:46 +0300
committer	Muhammet Kara <muhammet.kara@collabora.com>	2020-02-28 18:32:54 +0100
commit	d54202ff690e4e97e018461cc6dc3dfadd36a702 (patch)
tree	5f60f9c473b30e0f59bbf13a6f773595e1e4e759
parent	531f078f3371e909b03b358bc5c9d70df083555f (diff)
tdf#112135: Provide controls through context menu in lists of Customize dialog

Bisected with: bibisect-linux64-7.0

Adding Cc: to Sarper Akdemir
Comment 2 Julien Nabet 2020-07-31 07:44:04 UTC
Created attachment 163797 [details]
bt with debug symbols (gen)

On pc Debian x86-64 with master sources updated today, I could reproduce this with gen rendering (and like Xisco, not with gtk3)
Comment 3 Julien Nabet 2020-07-31 07:53:50 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/99850
Comment 4 Commit Notification 2020-07-31 14:10:16 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1ca386b8ed93957c47628ffe1e88e214a06d6c4e

tdf#135321: fix crash when right click empty in Command list

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2020-07-31 14:18:52 UTC
I cherry-picked the patch for review here:
https://gerrit.libreoffice.org/c/core/+/99876
Comment 6 Commit Notification 2020-07-31 19:18:53 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/16c7fd441c29f2fe9ca14d8e7ab615ce8fca61c8

tdf#135321: fix crash when right click empty in Command list

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-08-10 10:09:37 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue!!